Download it now!
Bug 113236 - UI: The naming menu "Tools > Protect Spreadsheet" is not correct/confusing
Summary: UI: The naming menu "Tools > Protect Spreadsheet" is not correct/confusing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Cor Nouws
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2017-10-18 19:24 UTC by Cor Nouws
Modified: 2018-10-08 09:36 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2017-10-18 19:24:49 UTC
"Protect Spreadsheet" in the menu Tools, is quite confusing.
It's just below Tools > Project Sheet; that protects the Sheet - indeed.
"Protect Spreadsheet" does not protect the spreadsheet (document), which is in File > Properties. What is does: protecting all the sheet tabs: changing order, copy/move, adding are disabled.
So it should better be named "Protect Sheet Tabs".

Also; this is in line with text "Options > Calc > View .. Window … Sheet tabs"
Comment 1 Heiko Tietze 2017-10-19 07:03:40 UTC
"Protect Sheet Tabs" is still very close to "Protect Spreadsheet" and rather confusing. How about "Lock sheets"?
Comment 2 sophie 2017-10-19 09:22:17 UTC
Hi Cor, it's not only the tab that is protected because if you have only one tab (sheet), it's not possible to add another one, so protection goes beyond the sheet. I like Heiko proposal about locking instead of protecting. Sophie
Comment 3 Cor Nouws 2017-10-19 10:04:27 UTC
(In reply to sophie from comment #2)
> Hi Cor, it's not only the tab that is protected because if you have only one
> tab (sheet), it's not possible to add another one, so protection goes beyond
> the sheet.

Yes that is correct. Hence I wrote: "Protect Sheet Tabs" (plural).

(In reply to Heiko Tietze from comment #1)
> "Protect Sheet Tabs" is still very close to "Protect Spreadsheet" and rather
> confusing. How about "Lock sheets"?

Lock and protected are very much related. In Dutch a proper translation would be the same for both, what we use all over the suite for protection. So I would prefer to stick with Protect. But..
Comment 4 Heiko Tietze 2017-10-19 10:41:05 UTC
(In reply to Cor Nouws from comment #3)
> Lock and protected are very much related. In Dutch a proper translation
> would be the same for both, what we use all over the suite for protection.
> So I would prefer to stick with Protect. But..

German too, still favoring Lock as we do not have to care about l10n. However, terminologists should decide.
Comment 5 Heiko Tietze 2018-06-21 08:12:54 UTC
We discussed Protect, Lock, and Freeze in the design session and came to the conclusion that Cor's original proposal is the best way to go taking into consideration that help maybe will lag behind.

@Cor: Tell me, if your limited time keeps you away from the patch (you are assigned).
Comment 6 Cor Nouws 2018-09-27 22:55:24 UTC
path in gerrit 61066/
Comment 7 Eike Rathke 2018-09-28 09:24:48 UTC
I find "Protect Sheet Tabs" even more confusing..

What the option actually does is it protects the document structure, i.e. locks against adding/deleting/moving/renaming sheets. So maybe rather "Protect Document Structure"? How does Excel UI name it?
Comment 8 Cor Nouws 2018-09-28 10:51:45 UTC
(In reply to Eike Rathke from comment #7)
> I find "Protect Sheet Tabs" even more confusing..
> 
> What the option actually does is it protects the document structure, i.e.

yep - was thinking that too, after triggered by Adolfo's -1 :\

> locks against adding/deleting/moving/renaming sheets. So maybe rather
> "Protect Document Structure"? 
> How does Excel UI name it?

"Protect Workbook" we don't have that one.

Looking in our Help(*), it reads: "To protect the structure of the document, for example the count, names, and order of the sheets, from being changed, choose Tools - Protect Spreadsheet."
Already in 330 however, the UI reads Protect Document

*) file:///home/cono/libreoffice/daily20180926/libreofficedev6.2/help/en-US/text/scalc/guide/cell_protect.html?DbPAR=CALC#bm_id3146119

So "Protect Spreadsheet" or "Protect Spreadsheet Structure" ??
Comment 9 sophie 2018-09-28 12:38:32 UTC
(In reply to Cor Nouws from comment #8)
> (In reply to Eike Rathke from comment #7)
> > I find "Protect Sheet Tabs" even more confusing..
> > 
> > What the option actually does is it protects the document structure, i.e.
> 
> yep - was thinking that too, after triggered by Adolfo's -1 :\
> 
> > locks against adding/deleting/moving/renaming sheets. So maybe rather
> > "Protect Document Structure"? 
> > How does Excel UI name it?
> 
> "Protect Workbook" we don't have that one.
> 
> Looking in our Help(*), it reads: "To protect the structure of the document,
> for example the count, names, and order of the sheets, from being changed,
> choose Tools - Protect Spreadsheet."
> Already in 330 however, the UI reads Protect Document
> 
> *)
> file:///home/cono/libreoffice/daily20180926/libreofficedev6.2/help/en-US/
> text/scalc/guide/cell_protect.html?DbPAR=CALC#bm_id3146119
> 
> So "Protect Spreadsheet" or "Protect Spreadsheet Structure" ??

So I'd prefer Protect Spreadsheet Structure in that case :) Sophie
Comment 10 Cor Nouws 2018-09-28 13:07:02 UTC
(In reply to sophie from comment #9)
 
> So I'd prefer Protect Spreadsheet Structure in that case :) Sophie

Not too long?
Comment 11 sophie 2018-10-02 14:20:28 UTC
(In reply to Cor Nouws from comment #10)
> (In reply to sophie from comment #9)
>  
> > So I'd prefer Protect Spreadsheet Structure in that case :) Sophie
> 
> Not too long?

I think it's more explicit then, even if a little long, better
Comment 12 Cor Nouws 2018-10-02 20:06:07 UTC
(In reply to sophie from comment #11)

> > > So I'd prefer Protect Spreadsheet Structure in that case :) Sophie
> > 
> > Not too long?
> 
> I think it's more explicit then, even if a little long, better

changed the patch accordingly - thanks for all good thinking for a solution
Comment 13 Commit Notification 2018-10-08 09:35:48 UTC
Cor Nouws committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ab1e3101935606d8554acc1e8a3536845080c72

tdf#113236 change menu "Tools > Protect Spreadsheet" to "Protect Spreadsheet Structure"

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.